import Api,{ HttpResponse, Result } from './../utils/request';


class OrgService{

    static async GetTreeDepartmentsAsync():Promise<HttpResponse>{
        let msg = {}
        return Api.Post("app_get_GetCompanyDepartmentListTree",msg)
    }

    static async GetAllBranchsAsync():Promise<HttpResponse>{
        let msg = {Status: 0, is_show: 0, RB_Group_Id: 2}
        return Api.Post("admin_get_BranchGetList",msg)
    }

    static async GetAllEmployerAsync():Promise<HttpResponse>{
        let msg = {RB_Group_id: "0", RB_Branch_id: "-1", departmentId: "0", IsLeave: "0"}
        return Api.Post("app_get_employeeInfo_v2",msg)
    }
}
export default OrgService;